// SPI Slave module
// CPOL=0, CPHA=0, MSB first
module SPIslave #(parameter W = 16)
(
    input	wire			SCKIN,
    input	wire			MOSIIN,
    output	wire			MISOOUT,
    output	reg		[W-1:0]	dataOUT = 0
    );
//**************************************************
assign MISOOUT = dataOUT[W-1];
//**************************************************
always @ (negedge SCKIN) begin
			dataOUT <= { dataOUT[W-2:0], MOSIIN };
end
//**************************************************
endmodule
//**************************************************
